// Logo // 
@mixin logo {
    font-weight: 400;
    font-size: 32px;
    line-height: 40px;
    color: $white;

    @media (max-width: 768px) {
        display: none;
    }
}

// Social Media Link //
@mixin socialMediaLink {
    display: flex;
    transition: 0.4s ease;
    cursor: pointer;
    width: auto;
    scale: 1.0;

    &:hover {
        scale: 1.1;

        svg {
            path {
                fill: $orange;
            }
        }
    }

    @media (max-width: 768px) {
        svg {
            width: 40px;
        }
    }
}

// Name //
@mixin nameTitle {
    font-weight: 400;
    line-height: inherit !important;
    font-size: 72px;
    line-height: 76px;

    @media (max-width: 1440px) {
        font-size: 57px;
    }

    @media (max-width: 768px) {
        font-weight: 300;
        font-size: 30px;
        color: $black;
        background-color: $orange;
        border-radius: 15px 83.5px 83.5px 55px;
        padding: 15px 20px;
    }

    @media (max-width: 576px) {
        font-size: 24px;
    }
}

@mixin nameDescription {
    font-weight: 400;
    font-size: 22px;
    line-height: 34px;
    
    @media (max-width: 1440px) {
        font-size: 17px;
    }

    @media (max-width: 768px) {
        font-weight: 300;
        font-size: 14px;
        line-height: 24px;
        color: $black;
        background-color: $orange;
        border-radius: 15px 83.5px 83.5px 55px;
        padding: 15px 25px;
    }
}

// Call Link // 
@mixin callLink {
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: 400;
    font-size: 18px;
    line-height: 25px;
    border-radius: 50px;  
    gap: 20px;
    width: 300px;
    height: 70px;
    background-color: $white;
    color: $black;
    transition: 0.4s ease;
    cursor: pointer;
    margin-top: 50px;

    svg {
        transition: 0.4s ease;
    }

    &:hover {
        background-color: $orange;
        scale: 1.1;

        svg {
            transform: rotate(30deg);
        }
    }

    @media (max-width: 1440px) {
        width: 240px;
        height: 56px;
        font-size: 14px;
        margin-top: 40px;

        svg {
            width: 20px;
        }
    }

    @media (max-width: 768px) {
        display: none;
    }
}

// Section Title // 
@mixin sectionTitle {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    gap: 20px;
    margin-bottom: 80px;
    font-weight: 500;
    font-size: 30px;
    line-height: 35px;
    position: relative;

    &:after {
        position: relative;
        content: '';
        height: 4px;
        width: 100%;
        background-color: $royalBlue;

        @media (max-width: 768px) {
            height: 3px;
        }

        @media (max-width: 425px) {
            height: 2px;
        }
    }

    &:before {
        position: relative;
        content: '';
        height: 4px;
        width: 100%;
        background-color: $royalBlue;

        @media (max-width: 768px) {
            height: 3px;
        }

        @media (max-width: 425px) {
            height: 2px;
        }
    }

    @media (max-width: 1024px) {
        margin-bottom: 60px;
        font-size: 28px;
    }

    @media (max-width: 768px) {
        margin-bottom: 50px;
        font-size: 26px;
    }

    @media (max-width: 425px) {
        margin-bottom: 30px;
        font-size: 24px;
    }
}


// Block //
@mixin blockTitle {
    font-weight: 400;
    font-size: 20px;
    color: $royalBlue;
    margin-bottom: 10px;
}

@mixin blockText {
    font-weight: 400;
    font-size: 16px;
    line-height: 26px;
    color: $black;
    letter-spacing: 1px;
}

// Amount // 
@mixin amountTitle {
    display: flex;
    font-weight: 400;
    font-size: 60px;
    letter-spacing: 1px;
    color: $royalBlue;

    @media (max-width: 1024px) {
        font-size: 48px;
    }

    @media (max-width: 576px) {
        font-size: 38px;
    }

    @media (max-width: 425px) {
        font-size: 30px;
    }
}

@mixin amountText {
    font-weight: 400;
    font-size: 22px;
    letter-spacing: 1px;

    @media (max-width: 1024px) {
        font-size: 20px;
    }

    @media (max-width: 576px) {
        font-size: 18px;
    }

    @media (max-width: 425px) {
        font-size: 16px;
    }
}

// Overlay Card // 

@mixin overlayImage {
    position: absolute;
    background-color: transparent;
    transition: 0.4s ease;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    opacity: 0.2; 
}

@mixin overlayImageActive {
    background-color: $royalBlue;
}

@mixin overlayText {
    position: absolute;
    color: $white; 
    transition: 0.4s ease;
    font-weight: 600;
    font-size: 22px;
    line-height: 34px;
    opacity: 1;
    z-index: 2;
    top: 100%;
    right: 50%;
    transform: translate(50%, 50%);
}


@mixin overlayTextActive {
    top: 35%;
}

// Footer // 

@mixin footerText {
    text-align: center;
    font-size: 20px;
    color: $white;
}



